import org.antlr.v4.Tool;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;

public class AntlrGenLexerTool {
    public static void main(String[] args) throws IOException {
        processLexer();
    }

    private static void processLexer() {
        String g5 = "JavaScriptLexer.g4";
        String pkg = "org.bdware.sc.parser";
        File from = new File("./genparser/input/" + g5);
        File out = new File(g5);
        out.delete();
        try {
            Files.copy(from.toPath(), out.toPath());
            Tool.main(new String[] {g5, "-package", pkg, "-o",
                    "./common/src/main/gen/" + pkg.replaceAll("\\.", "/"), "-visitor"});
            new File(g5).delete();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
